Subject: RE: [dhcwg] I-D ACTION:draft-ietf-dhc-server-override-00.txt

From: "Kostur, Andre" <[email-masked]>
Date: Fri, 14 Feb 2003 10:16:41 -0800

If the device is in the REBINDING state, then the client is broadcasting
it's REQUEST.  Since the Relay is down, the DHCP Server still won't receive
the Request, there's nothing to relay the broadcast to the server....

> -----Original Message-----
> From: Ted Lemon [mailto:[email-masked]]
> Sent: Friday, February 14, 2003 10:08 AM
> To: Kostur, Andre
> Cc: [email-masked]
> Subject: Re: [dhcwg] I-D ACTION:draft-ietf-dhc-server-override-00.txt
> 
> 
> > 1) This introduces a new point of failure in a DHCP 
> infrastructure.  
> > If this particular relay goes down, then devices which 
> currently hold 
> > a lease cannot renew, where under standard DHCP, they would 
> be able > to.
> 
> Not true.   They can still renew in the REBINDING state - just not in 
> the RENEWING state.
> 
> Your observation about the wording of when the DHCP server should pay 
> attention to this option makes sense, though - I wonder where 
> that came 
> from.
>

---

From: Ted Lemon <[email-masked]>
Date: Fri, 14 Feb 2003 12:59:12 -0600

> If the device is in the REBINDING state, then the client is 
> broadcasting it's REQUEST.  Since the Relay is down, the DHCP Server 
> still won't receive the Request, there's nothing to relay the 
> broadcast to the server....

If you don't have a redundant network setup, you don't have a redundant 
network setup.   This is the same whether you are using the server 
override option or not.   It's true that a site that has a redundant 
router configuration but no redundant relay agent configuration would 
be able to continue supporting renewals for existing clients through a 
relay agent outage, this isn't a very realistic scenario, and I don't 
think it's a valid criticism of the draft.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg